Commentaires

Commentaires

Commentaire

Visiteur
Avatar
Bonjour,
j'apprends, je prends des notes et c'est un vrai plaisir de suivre votre production même si je ne comprends pas tout...
Sachez ce que j'apprécie le plus sur votre chaîne : - d'abord un gars équilibré et responsable, du sens pédagogique et
enfin aucune vulgarité.
Bonne continuation !

Commentaire

Visiteur
Avatar
j'ai récemment installé la distro kodachi pour tester. Je voulais me connecter à Facebook, le site ne me reconnait pas, ni mon nom ni mon mot de pass. Gmail m'envoie un message pour me dire queqq'un essaie de se connecter à ma page facebook, ce qq'un est basé en Russie (d'ailleurs la page de connexion facebook était en russe) !!!!. j'ai finalement pas été très loin , j'ai viré cette distro.

Commentaire

Visiteur
Avatar
Dommage car utf8_bin n'a rien d'une collation, elle n'est même pas capable de trier dans l'ordre alphabétique (les lettres sont mélangées dans différents blocs de code, une catastrophe pour pas mal de langues), et pire elle ne marche pas sur tout l'UTF8 standard, mais seulement dans le BMP (Tant pis pour les Chinois !).
Voilà un truc pensé par des purs-anglophones qui croient être "compatible Unicode" juste parce que "c'est la mode", mais se fichent pas mal de trier autre chose que l'Anglais (et "utf8_bin" est un très vieux codage, même pas conforme à la norme UTF8 approuvée et finalisée maintenant depuis une quinzaine d'années mais déjà décrit il y a un quart de siècle, c'était une version bêta propriétaire issue des vieilles versions de MySQL à une époque où nombre croyaient que les points de codes hors du BMP ne serviraient jamais). On est en 2020, plus en 1995, il y a eu de nombreuses versions d'Unicode depuis !
A quoi songent donc les auteurs de Zabbix? Forcément ils ne sont pas à la page et ce genre de contrainte est un retour de 20 ans en arrière... Même en français seulement (ou quelques langues romanisées d'Europe occidentale , plutôt qu'utiliser "utf8_bin", il vaut encore mieux utiliser ISO8859-1 (avec une vraie collation sur ce jeu de caractères).
C'est d'autant plus dommage que maintenant les bibliothèques conformes comme ICU sont préintégrées sur tous les OS et dans la plupart des langages de programmation et sont très performantes et bien testées, facilement intégrables.
Ceci dit certains se trompent en prétendant que "utf8_unicode_ci" ne marche pas pour les clés uniques dans les index de tables: ils ont oublié de préciser le "strength" (si on ne précise pas, le strength est juste "primary" et effectivement "e", "é", "ê" vont générer la même clé et faire planter une clé unique.
Pourtant MySQL permet de préciser le niveau de collation : la norme dans presque toutes les langues est une collation multiniveau; ou alors ils ont mal conçu leur base de données en utilisant les noms de personnes ou lieux comme si c'était des identifiant uniques sans jamais aucun homonyme):
https://forums.mysql.com/read.php?103,187048,188748
Là on explique la différence entre "utf8_general_ci" (collation sur le seul niveau primaire, en ignorant la casse, les diacritiques, les caractères ignorables) et "utf8_unicode_ci" (collation multiniveau basée sur la table DUCET; pas forcément trié selon la langue, donc "ö" et "oe" seront très différents au niveau primaire alors qu'ils sont triés à la même clé "O" en allemand; de même pas d'adaptation pour les lettres diacritées en suédois classées normalement comme des lettres supplémentaires en fin d'alphabet et non comme leur lettre de base non diacritée)
C'est toujours une très mauvaise idée de toute façon de créer une clé d'index unique sur un champ de base dont l'interprétation dépend de la langue utilisée: c'est une grosse anomalie de design du schéma, honteux de la part des auteurs de Zabbix d'avoir tout mis en utf8_bin, cela ressemble à de la très grosse paresse, un truc vite trop fait qui marchait juste pour leurs petits tests locaux!)

Commentaire

Administrateur
Avatar
Salut Flo !

Je n'ai pas mis en place de Paypal, ça semblait compliqué quand je voulais le faire.
Je ne souhaite pas forcément mettre cela en place (comme le Tipee, c'est pour ça que c'est en attente, car il faut que je réfléchisse en fait).
Les dons sont une demande récurrente mais je ne produis pas du travail pour avoir forcément des dons en échanges ;)
D'autant plus que les dons qui sont faits ainsi, je ne sais pas si ça se déclare ou comment ça se passe.

Avec Youtube, c'est géré de la même façon que la déclaration des revenus de Google puisque ça provient du même endroit !

Commentaire

Visiteur
Avatar
Salut Adrien,

Félicitations pour ce cap de 20 000 abonnés franchi !
Je souhaiterai faire un don à ta chaine Linuxtricks par rapport à tout le boulot que tu as fait jusqu'ici.
Problème, je n'ai pas de compte Youtube.
Penses tu mettre en place une solution PayPal ?

@+

Commentaire

Visiteur
Avatar
Zer00CooL, ça donne une erreur sur la commande
xset s noblanck
, la commande serait plutot
xset s noblank
.

Commentaire

Visiteur
Avatar
Bonjour j ai eu un petit soucis lors de la mise a jour?

ERROR: The following 3rd party repositories were detected. Disable them and refresh your APT cache.

ce problême est du a Yandex browser. qui a planter quelques jours plutôt.

Que faudrait il faire pour résoudre ce problème.

Cordialement

Commentaire

Visiteur
Avatar
Bonjour
Merci pour ce tutoriel. En testant la faisabilité de la mise à niveau, je reçois ce message d'erreur :

!! ERROR: The following 3rd party repositories were detected. Disable them and refresh your APT cache.
- . stable (. stable) - repo.skype.com
!! Exiting.
------------------------------------------------
+ Restoring your backed up APT sources...
Que faut-il faire ?
D'avance merci.

Commentaire

Visiteur
Avatar
Bonjour,

Sur la version 20, y'a des soucis avec wine, il manque des paquets (gecko par exemple). La version stable est la 3.x contre la 4.x sur la 19.3. J'ai du me réinstaller des logiciels qui tournaient avec wine sans problème sur la 19.3 dans une machine virtuelle (lm19.3). Impossible sinon de le faire tourner! (Dû à la fin du 32bits??). En tout cas, j'espère qu'une solution va arriver!

Commentaire

Visiteur
Avatar
Oui Adrien, 3 juin 2014 !

Mint 17 → Mint 18 → Mint 19 → Mint 20 sans aucuns problèmes.

Avant je faisais des réinstallation toutes neuves ( de Mint, bien sûr )
mais plus depuis 2014, je fais les mises à niveaux.

C'est vrai qu'un outil graphique serait un +.

Amitiés ... :hello:

Commentaire

Visiteur
Avatar
Bonjour Adrien,
Je vous remercie, en premier lieu, pour tous les efforts que vous faites sur ce site et surtout sur Youtube.
Je voudrais juste savoir quand la version définitive "Deepin 20" sortira ? j'ai beau cherché mais sans issue !!
Je suis plus que satisfait de cette distribution que j'utilise depuis presque 6 ans.
C'est vraie qu'elle est excellente du point de vue esthétique mais en l'utilisant quotidiennement, je peut dire qu'elle est optimisée pour travailler avec un rendement maximal avec les outils Deepin: chaque chose est à sa place.
Tous les programmes scientifiques marchent à merveille: Salome, OpenFoam, FoamExtend, Code Saturne, SU2, SimFlow, HelyxOS, QtiPlot, Paraview, Gmsh, CfMesh, wxMaxima, FreeCad, JavaFoil, Calculix, Z88Aurora, ...etc. Aussi les version commerciales: StarCCM+, Comsol, Maple ...etc.
1000 Merci et Bonne continuation :-)

Commentaire

Visiteur
Avatar
Bonjour,

Utilisateur de linux depuis de nombreuses années (1998, avec l'installation d'une REDHAT 5.0 de mémoire), j'ai eu l'occasion d'essayer et utiliser un grand nombre de distributions depuis:

  • REDHAT donc (installation en ligne de commande);
  • Mandrake (beaucoup de soucis carte réseau - modem 14.400 à l'époque);
  • Mandriva (idem Mandrake);
  • Suze (plusieurs versions au fil des années - en boites complète et livres accompagnement);
  • Debian (je ne sais plus quelle version mais tout en ligne de commande, nombreuses installations chez des amis);
  • Passage sous MAC durant plusieurs années;
  • UBUNTU (en parallèle et installation chez des amis);
  • MINT (plusieurs versions)
  • Solus;
  • Manjaro Linux (très récemment)


J'en oublie sans doute mais l'essentiel est là.
Je lis régulièrement vos publications et regarde vos vidéo très instructives.
Vous êtes ardent défenseur de la Calculate Linux qui semble très stable. Sans vouloir vous mettre en porte-à-faux avec vos idées et relations, je voudrais votre avis d'expert. Je travaille actuellement en télétravail et mon vieux mac mini étant à bout de souffle (installation d'une Manjaro car je ne pouvais plus mettre à jour MAC OS), je viens de faire l'acquisition toute récente d'un LENOVO Thinkcentre Tiny (I7 9° génération, 16 GB RAM) évidemment préinstallé avec WIN10 Pro. Je me suis empressé d'installer en dual boot la Manjaro récemment découverte et tout va bien... je dois lancer en permanence 2 sessions CITRIX pour accéder aux environnements de bureaux de mon employeur.
Le décor étant posé, pourriez-vous me dire si une Calculate serait plus indiquée que la Manjaro pour un usage que je qualiferais donc de plutôt professionnel... je ne suis pas joueur du tout?

Un grand merci d'avance de vos remarques, analyses, conseils ou autres que vous voudrez bien me fournir

Cordialement, Eric

Commentaire

Administrateur
Avatar
@Visiteur : Tu peux restaurer depuis le LiveCD de Mint (qui a TimeShift), même si je préfère Clonezilla pour le coup dans ce genre de cas.

@Thomas : Cool merci du retour !

@François : Je pense qu'il faut "juste" réinstaller VirtualBox et Wine.

@Riki : Merci

@Visiteur : Woow 2014 !

Commentaire

Visiteur
Avatar
Salut Adrien,
Super ce blog, comme ta chaîne.
Merci pour ce mode d'emploi, simple, rapide et efficace.
Chez moi, la commande sudo tune2fs -l /dev/sda1
donne ceci :

Filesystem created: Tue Jun 3 21:29:53 2014


et grâce à toi je suis maintenant en version,
lsb_release -a

Distributor ID:Linuxmint
Description:Linux Mint 20
Release:20
Codename:ulyana